Package org.apache.calcite.avatica.proto

## Class Responses.ConnectionSyncResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>
      - - org.apache.calcite.avatica.proto.Responses.ConnectionSyncResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Responses.ConnectionSyncResponseOrBuilder`

Enclosing class:
  Responses.ConnectionSyncResponse

    public static final class Responses.ConnectionSyncResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>
    implements Responses.ConnectionSyncResponseOrBuilder

     Response to ConnectionSyncRequest

Protobuf type `ConnectionSyncResponse`

### Field Summary

Fields
`private Common.ConnectionProperties` `connProps_`
`private com.google.protobuf.SingleFieldBuilderV3<Common.ConnectionProperties,​Common.ConnectionProperties.Builder,​Common.ConnectionPropertiesOrBuilder>` `connPropsBuilder_`
`private Responses.RpcMetadata` `metadata_`
`private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder>` `metadataBuilder_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Responses.ConnectionSyncResponse.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Responses.ConnectionSyncResponse` `build()`
`Responses.ConnectionSyncResponse` `buildPartial()`
`Responses.ConnectionSyncResponse.Builder` `clear()`
`Responses.ConnectionSyncResponse.Builder` `clearConnProps()` `.ConnectionProperties conn_props = 1;`
`Responses.ConnectionSyncResponse.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Responses.ConnectionSyncResponse.Builder` `clearMetadata()` `.RpcMetadata metadata = 2;`
`Responses.ConnectionSyncResponse.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Responses.ConnectionSyncResponse.Builder` `clone()`
`Common.ConnectionProperties` `getConnProps()` `.ConnectionProperties conn_props = 1;`
`Common.ConnectionProperties.Builder` `getConnPropsBuilder()` `.ConnectionProperties conn_props = 1;`
`private com.google.protobuf.SingleFieldBuilderV3<Common.ConnectionProperties,​Common.ConnectionProperties.Builder,​Common.ConnectionPropertiesOrBuilder>` `getConnPropsFieldBuilder()` `.ConnectionProperties conn_props = 1;`
`Common.ConnectionPropertiesOrBuilder` `getConnPropsOrBuilder()` `.ConnectionProperties conn_props = 1;`
`Responses.ConnectionSyncResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 2;`
`Responses.RpcMetadata.Builder` `getMetadataBuilder()` `.RpcMetadata metadata = 2;`
`private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder>` `getMetadataFieldBuilder()` `.RpcMetadata metadata = 2;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 2;`
`boolean` `hasConnProps()` `.ConnectionProperties conn_props = 1;`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Responses.ConnectionSyncResponse.Builder` `mergeConnProps​(Common.ConnectionProperties value)` `.ConnectionProperties conn_props = 1;`
`Responses.ConnectionSyncResponse.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Responses.ConnectionSyncResponse.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Responses.ConnectionSyncResponse.Builder` `mergeFrom​(Responses.ConnectionSyncResponse other)`
`Responses.ConnectionSyncResponse.Builder` `mergeMetadata​(Responses.RpcMetadata value)` `.RpcMetadata metadata = 2;`
`Responses.ConnectionSyncResponse.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Responses.ConnectionSyncResponse.Builder` `setConnProps​(Common.ConnectionProperties value)` `.ConnectionProperties conn_props = 1;`
`Responses.ConnectionSyncResponse.Builder` `setConnProps​(Common.ConnectionProperties.Builder builderForValue)` `.ConnectionProperties conn_props = 1;`
`Responses.ConnectionSyncResponse.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Responses.ConnectionSyncResponse.Builder` `setMetadata​(Responses.RpcMetadata value)` `.RpcMetadata metadata = 2;`
`Responses.ConnectionSyncResponse.Builder` `setMetadata​(Responses.RpcMetadata.Builder builderForValue)` `.RpcMetadata metadata = 2;`
`Responses.ConnectionSyncResponse.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Responses.ConnectionSyncResponse.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Field Detail

#### connProps_

    private Common.ConnectionProperties connProps_

#### connPropsBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Common.ConnectionProperties,​Common.ConnectionProperties.Builder,​Common.ConnectionPropertiesOrBuilder> connPropsBuilder_

#### metadata_

    private Responses.RpcMetadata metadata_

#### metadataBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder> metadataBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Responses.ConnectionSyncResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### getDefaultInstanceForType

    public Responses.ConnectionSyncResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Responses.ConnectionSyncResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Responses.ConnectionSyncResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Responses.ConnectionSyncResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### setField

    public Responses.ConnectionSyncResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### clearField

    public Responses.ConnectionSyncResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### clearOneof

    public Responses.ConnectionSyncResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### setRepeatedField

    public Responses.ConnectionSyncResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     int index,
                                                                     java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### addRepeatedField

    public Responses.ConnectionSyncResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### mergeFrom

    public Responses.ConnectionSyncResponse.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.ConnectionSyncResponse.Builder>`

#### mergeFrom

    public Responses.ConnectionSyncResponse.Builder mergeFrom​(Responses.ConnectionSyncResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### mergeFrom

    public Responses.ConnectionSyncResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Responses.ConnectionSyncResponse.Builder>`
Throws:
  `java.io.IOException`

#### hasConnProps

    public boolean hasConnProps()

`.ConnectionProperties conn_props = 1;`

Specified by:
  `hasConnProps` in interface `Responses.ConnectionSyncResponseOrBuilder`

#### getConnProps

    public Common.ConnectionProperties getConnProps()

`.ConnectionProperties conn_props = 1;`

Specified by:
  `getConnProps` in interface `Responses.ConnectionSyncResponseOrBuilder`

#### setConnProps

    public Responses.ConnectionSyncResponse.Builder setConnProps​(Common.ConnectionProperties value)

`.ConnectionProperties conn_props = 1;`

#### setConnProps

    public Responses.ConnectionSyncResponse.Builder setConnProps​(Common.ConnectionProperties.Builder builderForValue)

`.ConnectionProperties conn_props = 1;`

#### mergeConnProps

    public Responses.ConnectionSyncResponse.Builder mergeConnProps​(Common.ConnectionProperties value)

`.ConnectionProperties conn_props = 1;`

#### clearConnProps

    public Responses.ConnectionSyncResponse.Builder clearConnProps()

`.ConnectionProperties conn_props = 1;`

#### getConnPropsBuilder

    public Common.ConnectionProperties.Builder getConnPropsBuilder()

`.ConnectionProperties conn_props = 1;`

#### getConnPropsOrBuilder

    public Common.ConnectionPropertiesOrBuilder getConnPropsOrBuilder()

`.ConnectionProperties conn_props = 1;`

Specified by:
  `getConnPropsOrBuilder` in interface `Responses.ConnectionSyncResponseOrBuilder`

#### getConnPropsFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Common.ConnectionProperties,​Common.ConnectionProperties.Builder,​Common.ConnectionPropertiesOrBuilder> getConnPropsFieldBuilder()

`.ConnectionProperties conn_props = 1;`

#### hasMetadata

    public boolean hasMetadata()

`.RpcMetadata metadata = 2;`

Specified by:
  `hasMetadata` in interface `Responses.ConnectionSyncResponseOrBuilder`

#### getMetadata

    public Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 2;`

Specified by:
  `getMetadata` in interface `Responses.ConnectionSyncResponseOrBuilder`

#### setMetadata

    public Responses.ConnectionSyncResponse.Builder setMetadata​(Responses.RpcMetadata value)

`.RpcMetadata metadata = 2;`

#### setMetadata

    public Responses.ConnectionSyncResponse.Builder setMetadata​(Responses.RpcMetadata.Builder builderForValue)

`.RpcMetadata metadata = 2;`

#### mergeMetadata

    public Responses.ConnectionSyncResponse.Builder mergeMetadata​(Responses.RpcMetadata value)

`.RpcMetadata metadata = 2;`

#### clearMetadata

    public Responses.ConnectionSyncResponse.Builder clearMetadata()

`.RpcMetadata metadata = 2;`

#### getMetadataBuilder

    public Responses.RpcMetadata.Builder getMetadataBuilder()

`.RpcMetadata metadata = 2;`

#### getMetadataOrBuilder

    public Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 2;`

Specified by:
  `getMetadataOrBuilder` in interface `Responses.ConnectionSyncResponseOrBuilder`

#### getMetadataFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Responses.RpcMetadata,​Responses.RpcMetadata.Builder,​Responses.RpcMetadataOrBuilder> getMetadataFieldBuilder()

`.RpcMetadata metadata = 2;`

#### setUnknownFields

    public final Responses.ConnectionSyncResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`

#### mergeUnknownFields

    public final Responses.ConnectionSyncResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Responses.ConnectionSyncResponse.Builder>`